Skip to main content

Payment Gateways

Overview​

This resource represents Payment Gateways (allowing integration with providers such Stripe, Ingenico etc.) that you can later assign to Rentals and start accepting payments via credit card.

Parameters​

NameTypeRead/WriteDescription
accountIntegerReadAccount's ID related to the Payment Gateway
idBigIntegerReadUniq identifier.
nameStringReadPayment Gateway's name serving as an additional identifier.
testBooleanReadSubmitted requests will not be charged if set to true.
gateway_nameStringReadPayment Gateway's name, available values are described in enums section
credentialsObjectReadCredentials used for payment gateway authentication.
supported_cardtypesArrayReadArray of String values containing supported cardtypes for selected gateway.
supported_currenciesArrayReadArray of string values containing supported currencies for selected gateway.
tokenize_credit_card_detailsBooleanReadCredit Card details will be tokenized if set to true before card's authorization. The value will be automatically set to true when handling 3DS flow.
host_booking_pay_wallet_idStringReadWallet ID for BookingPay host.
created_atTimeReadPayment Gateway's creation time.
updated_atTimeReadPayment Gateway's creation time.

List Payment Gateways​

List all Payment Gateways for a given account.

GET /payment_gateways

Get a single Payment Gateway​

Returns a single payment gateway identified by ID.

GET /payment_gateways/:payment_gateway_id

Create a new Payment Gateway​

Creates a Payment Gateway

POST /payment_gateways

Update a Payment Gateway​

Returns an updated payment gateway identified by ID.

PUT /payment_gateways/:payment_gateway_id